Get
/api/v2/devices/discovery
Security
HTTP
Type bearer
Query parameters
hostname
string
sitename
string
ipAddress
string
macAddress
string
portfolioId
string
siteId
string
networkName
string
networkId
string
new
boolean
To filter newly discovered devices with is not already added
size
integer
The number of records to return per page
Default25
page
integer
The page number. The page number start from 1
Default1
sort
array of string
Sorting criteria in the format: field:asc|desc, field defaults to whenCreated and direction defaults to DESC. Example fields are: ['hostname', 'sitename', 'networkName', 'ipAddress', 'macAddress' 'whenCreated']
DefaultwhenCreated:DESC
Example[
"whenCreated:DESC"
]
Responses
200
A list of all discovered devices
object
authorization
boolean
data
object
page
integer
results
Array of object (DeviceDiscovery)
object
device
object
hostname
string
id
integer
name
string
hostname
string
id_address
string
is_new
boolean
location
object
city
string
country
string
state
string
street
string
zipcode
string
mac_address
string
network
object
id
string
name
string
portfolio
object
id
string
name
string
ports
Array of object
object
appliction_protocol
string
port_id
integer
protocol
string
state
string
site
object
id
string
name
string
whenCreated
string
size
integer
totalCount
integer
totalPage
integer
error_code
integer
error_message
string
error_status
boolean
Examplefalse
401
Unauthorized
object
error_code
integer
error_message
string
error_status
boolean
500
Could not get discovered devices - Internal Server Error
object
authorization
boolean
data
Array of string
Example[]
string
error_code
integer | null
error_message
string | null
error_status
boolean